## class SG_EXPORT osg::TexMat

> Texture Matrix state class for encapsulating OpenGL texture matrix functionality

## Inheritance:

### Public Methods

TexMat()
TexMat(const TexMat& texmat, const CopyOp& copyop=CopyOp::SHALLOW_COPY)
  Copy constructor using CopyOp to manage deep vs shallow copy
META_StateAttribute(osg, TexMat, TEXMAT)
virtual bool isTextureAttribute() const
virtual int compare(const StateAttribute& sa) const
  return -1 if *this < *rhs, 0 if *this==*rhs, 1 if *this>*rhs
inline void setMatrix(const Matrix& matrix)
  Set the texture matrix
inline Matrix& getMatrix()
  Get the texture matrix
inline const Matrix& getMatrix() const
  Get the const texture matrix
virtual void apply(State& state) const
  apply as OpenGL texture matrix

### Protected Fields

Matrix _matrix

### Protected Methods

virtual ~TexMat( void )

### Inherited from StateAttribute:

### Public Methods

virtual Object* cloneType() const
virtual Object* clone(const CopyOp&) const
virtual bool isSameKindAs(const Object* obj) const
virtual const char* libraryName() const
virtual const char* className() const
virtual Type getType() const
bool operator < (const StateAttribute& rhs) const
bool operator == (const StateAttribute& rhs) const
bool operator != (const StateAttribute& rhs) const
virtual void getAssociatedModes(std::vector<GLMode>& ) const
virtual void compile(State&) const

### Public Members

typedef GLenum GLMode
typedef unsigned int GLModeValue
typedef unsigned int OverrideValue
enum Values
typedef unsigned int Type
enum Types

### Inherited from Object:

### Public Methods

inline void setDataVariance(DataVariance dv)
inline DataVariance getDataVariance() const
inline void setUserData(Referenced* obj)
inline Referenced* getUserData()
inline const Referenced* getUserData() const

### Public Members

enum DataVariance

### Protected Fields

DataVariance _dataVariance
ref_ptr<Referenced> _userData

### Inherited from Referenced:

### Public Methods

inline Referenced& operator = (Referenced&)
static void setDeleteHandler(DeleteHandler* handler)
static DeleteHandler* getDeleteHandler()
inline void ref() const
inline void unref_nodelete() const
inline int referenceCount() const
inline void unref() const

### Protected Fields

mutable int _refCount

## Documentation

> Texture Matrix state class for encapsulating OpenGL texture matrix functionality

`TexMat()`

`TexMat(const TexMat& texmat, const CopyOp& copyop=CopyOp::SHALLOW_COPY)`
  Copy constructor using CopyOp to manage deep vs shallow copy

`META_StateAttribute(osg, TexMat, TEXMAT)`

`virtual bool isTextureAttribute() const`

`virtual int compare(const StateAttribute& sa) const`
  return -1 if *this < *rhs, 0 if *this==*rhs, 1 if *this>*rhs

`inline void setMatrix(const Matrix& matrix)`
  Set the texture matrix

`inline Matrix& getMatrix()`
  Get the texture matrix

`inline const Matrix& getMatrix() const`
  Get the const texture matrix

`virtual void apply(State& state) const`
  apply as OpenGL texture matrix

`virtual ~TexMat( void )`

`Matrix _matrix`

This class has no child classes.

Alphabetic index HTML hierarchy of classes or Java

This page was generated with the help of DOC++.